/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef EXPORTOPTIONSDIALOGHEADERFILE
#define EXPORTOPTIONSDIALOGHEADERFILE

#include <QDialog>

class QRadioButton;

class TExportOptionsDialog : public QDialog
{
Q_OBJECT

public:
	
enum TExportType
{
	EXPORT_ALL_SPECIFICATIONS=0,
	EXPORT_SELECTED_SPECIFICATIONS
};

// CREATORS
	TExportOptionsDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TExportOptionsDialog(void);

// ACCESSORS
	TExportType Export_Type(void) const;

// MANIPULATORS

signals:

private slots:

private:
	QRadioButton						*d_all_specifications_radio;
	QRadioButton						*d_selected_specifications_radio;

// NOT IMPLEMENTED
	TExportOptionsDialog(const TExportOptionsDialog&);
	TExportOptionsDialog& operator=(const TExportOptionsDialog&);
};

#endif
