/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#include <QApplication>
#include <QLabel>
#include <QProgressBar>
#include <QVBoxLayout>

#include "progressdialog.h"

TProgressDialog::TProgressDialog(
	const QWidget						*parent,
	const Qt::WindowFlags				flags)
:QDialog(const_cast<QWidget*>(parent),flags)
{
	QVBoxLayout							*dialog_vlayout;

	this->resize(413,100);

	dialog_vlayout = new QVBoxLayout(this);

	d_text = new QLabel(this);
	dialog_vlayout->addWidget(d_text);

	d_progressbar = new QProgressBar(this);
	dialog_vlayout->addWidget(d_progressbar);

	this->setWindowTitle(QStringLiteral("Progress Dialog"));

}

TProgressDialog::~TProgressDialog(void)
{
}

void TProgressDialog::Set_Text(
	const QString						&text)
{
	d_text->setText(text);
}

void TProgressDialog::Set_Range(
	const int							max)
{
	d_progressbar->setMaximum(max);
}

void TProgressDialog::Set_Value(
	const int							value)
{
	d_progressbar->setValue(value);
}

